[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: recruiting



On 25.11.2007 20:35, Patrice Dumas wrote:
> On Sun, Nov 25, 2007 at 07:43:45PM +0100, Thorsten Leemhuis wrote:
>> On 25.11.2007 19:24, Patrice Dumas wrote:
>>> On Sun, Nov 25, 2007 at 07:14:04PM +0100, Thorsten Leemhuis wrote:
>>>> audacious
>>> I contacted the fedora packager (who is not very interested in EPEL),
>>> because I think it would be nice to have audacious in EPEL. Problem 
>>> with audacious is that the associated libs are binary incompatible with 
>>> each releases and upstream is not willing to help with old releases.
>>> I am personally not ready to do the backporting work, but somebody else
>>> could be interested.
>> Well, the world is not perfect and we have to deal with it somehow
>> without reinventing the weel.
>> IOW: For exactly this kind of software EPEL allows updates to the latest
>> upstream version in case of major bug fixes or fixes for security
>> related problems. Even updates to newer upstream version to improve the
>> user experience or to make new stuff possible are IMHO acceptable now
>> and then if they are carefully done.
> You mean breaking the ABI is allowed? 

If there are no other way around that, yes, then it IMHO is allowed, if
you make sure other packages that depend on your ABI get updated/rebuild
the same time. Ohh, and sending out a "heads up" to users and developers
beforehand and when the update actually hits the proper repos as well
would be good.

CU
knurd


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]